Package com.independentsoft.graph.teams

# Class OnlineMeeting

java.lang.Object
com.independentsoft.graph.teams.OnlineMeeting

All Implemented Interfaces:
  `ICreatable`, `IUpdatable`

public class OnlineMeeting extends Object implements ICreatable, IUpdatable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OnlineMeeting()`
  `OnlineMeeting​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getAllowAttendeeToEnableCamera()`
  `boolean`
  `getAllowAttendeeToEnableMic()`
  `OnlineMeetingPresenters`
  `getAllowedPresenters()`
  `MeetingChatMode`
  `getAllowMeetingChat()`
  `boolean`
  `getallowTeamworkReactions()`
  `AudioConferencing`
  `getAudioConferencing()`
  `BroadcastMeetingSettings`
  `getBroadcastSettings()`
  `ChatInfo`
  `getChatInfo()`
  `Date`
  `getCreationTime()`
  `Date`
  `getEndTime()`
  `String`
  `getExternalId()`
  `String`
  `getId()`
  `ItemBody`
  `getJoinInformation()`
  `JoinMeetingIdSettings`
  `getJoinMeetingIdSettings()`
  `String`
  `getJoinWebUrl()`
  `MeetingParticipants`
  `getParticipants()`
  `Date`
  `getStartTime()`
  `String`
  `getSubject()`
  `String`
  `getVideoTeleconferenceId()`
  `boolean`
  `isBroadcast()`
  `boolean`
  `isEntryExitAnnounced()`
  `boolean`
  `isRecordAutomatically()`
  `void`
  `setAllowAttendeeToEnableCamera​(boolean allowAttendeeToEnableCamera)`
  `void`
  `setAllowAttendeeToEnableMic​(boolean allowAttendeeToEnableMic)`
  `void`
  `setAllowedPresenters​(OnlineMeetingPresenters allowedPresenters)`
  `void`
  `setAllowMeetingChat​(MeetingChatMode allowMeetingChat)`
  `void`
  `setAllowTeamworkReactions​(boolean allowTeamworkReactions)`
  `void`
  `setAsBroadcast​(boolean isBroadcast)`
  `void`
  `setAsEntryExitAnnounced​(boolean isEntryExitAnnounced)`
  `void`
  `setBroadcastSettings​(BroadcastMeetingSettings broadcastSettings)`
  `void`
  `setChatInfo​(ChatInfo chatInfo)`
  `void`
  `setEndTime​(Date endTime)`
  `void`
  `setExternalId​(String externalId)`
  `void`
  `setId​(String id)`
  `void`
  `setJoinMeetingIdSettings​(JoinMeetingIdSettings joinMeetingIdSettings)`
  `void`
  `setParticipants​(MeetingParticipants participants)`
  `void`
  `setRecordAutomatically​(boolean recordAutomatically)`
  `void`
  `setStartTime​(Date startTime)`
  `void`
  `setSubject​(String subject)`
  `void`
  `setVideoTeleconferenceId​(String videoTeleconferenceId)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.
  `String`
  `toString()`
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OnlineMeeting

    public OnlineMeeting()

  - ### OnlineMeeting

    public OnlineMeeting​(JsonObject jsonObject)

- ## Method Details

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Returns:
      JSON string representation for creating this resource

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getId

    public String getId()

  - ### setId

    public void setId​(String id)

  - ### getAllowedPresenters

    public OnlineMeetingPresenters getAllowedPresenters()

  - ### setAllowedPresenters

    public void setAllowedPresenters​(OnlineMeetingPresenters allowedPresenters)

  - ### getAllowAttendeeToEnableCamera

    public boolean getAllowAttendeeToEnableCamera()

  - ### setAllowAttendeeToEnableCamera

    public void setAllowAttendeeToEnableCamera​(boolean allowAttendeeToEnableCamera)

  - ### getAllowAttendeeToEnableMic

    public boolean getAllowAttendeeToEnableMic()

  - ### setAllowAttendeeToEnableMic

    public void setAllowAttendeeToEnableMic​(boolean allowAttendeeToEnableMic)

  - ### getAllowMeetingChat

    public MeetingChatMode getAllowMeetingChat()

  - ### setAllowMeetingChat

    public void setAllowMeetingChat​(MeetingChatMode allowMeetingChat)

  - ### getallowTeamworkReactions

    public boolean getallowTeamworkReactions()

  - ### setAllowTeamworkReactions

    public void setAllowTeamworkReactions​(boolean allowTeamworkReactions)

  - ### getAudioConferencing

    public AudioConferencing getAudioConferencing()

  - ### getBroadcastSettings

    public BroadcastMeetingSettings getBroadcastSettings()

  - ### setBroadcastSettings

    public void setBroadcastSettings​(BroadcastMeetingSettings broadcastSettings)

  - ### getChatInfo

    public ChatInfo getChatInfo()

  - ### setChatInfo

    public void setChatInfo​(ChatInfo chatInfo)

  - ### getCreationTime

    public Date getCreationTime()

  - ### getEndTime

    public Date getEndTime()

  - ### setEndTime

    public void setEndTime​(Date endTime)

  - ### getExternalId

    public String getExternalId()

  - ### setExternalId

    public void setExternalId​(String externalId)

  - ### isBroadcast

    public boolean isBroadcast()

  - ### setAsBroadcast

    public void setAsBroadcast​(boolean isBroadcast)

  - ### isEntryExitAnnounced

    public boolean isEntryExitAnnounced()

  - ### setAsEntryExitAnnounced

    public void setAsEntryExitAnnounced​(boolean isEntryExitAnnounced)

  - ### getJoinWebUrl

    public String getJoinWebUrl()

  - ### getJoinInformation

    public ItemBody getJoinInformation()

  - ### getJoinMeetingIdSettings

    public JoinMeetingIdSettings getJoinMeetingIdSettings()

  - ### setJoinMeetingIdSettings

    public void setJoinMeetingIdSettings​(JoinMeetingIdSettings joinMeetingIdSettings)

  - ### getParticipants

    public MeetingParticipants getParticipants()

  - ### setParticipants

    public void setParticipants​(MeetingParticipants participants)

  - ### isRecordAutomatically

    public boolean isRecordAutomatically()

  - ### setRecordAutomatically

    public void setRecordAutomatically​(boolean recordAutomatically)

  - ### getStartTime

    public Date getStartTime()

  - ### setStartTime

    public void setStartTime​(Date startTime)

  - ### getSubject

    public String getSubject()

  - ### setSubject

    public void setSubject​(String subject)

  - ### getVideoTeleconferenceId

    public String getVideoTeleconferenceId()

  - ### setVideoTeleconferenceId

    public void setVideoTeleconferenceId​(String videoTeleconferenceId)